let
  sources = import ./nix/sources.nix {};
  pkgs = import sources.nixpkgs {};

  runDependencies = ps: [
    ps.click
    ps.setuptools
  ];

  testDependencies = ps: [
    # Code formatting
    ps.black
    ps.isort

    # Typechecker
    ps.mypy
  ];

  python = pkgs.python38;
  pythonEnv = python.withPackages (ps: runDependencies ps ++ testDependencies ps);

  package = pkgs.callPackage ./cinematinator.nix { inherit python runDependencies testDependencies; };

in
  {
    inherit pythonEnv package;
  }
